
#property copyright "*"
#property link      "*"

#property indicator_separate_window
#property indicator_buffers 1
#property indicator_color1 Red
#property indicator_maximum 7
#property indicator_minimum -7
//---- input parameters
extern double k=1.0;
extern int Pr=0;
//---- buffers

double B1[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,B1);
   
   SetIndexLabel(0,"GMA Simple");

//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int limit=Bars-IndicatorCounted();
      for(int i=limit-1;i>=0;i--){

         B1[i]=0;

         double m;
         
         m=iMACD(NULL,0,k*3,k*30,9,Pr,MODE_MAIN,i);
         if(m>0)B1[i]++;
         if(m<0)B1[i]--;         
         m=iMACD(NULL,0,k*5,k*35,9,Pr,MODE_MAIN,i);
         if(m>0)B1[i]++;
         if(m<0)B1[i]--;                    
         m=iMACD(NULL,0,k*8,k*40,9,Pr,MODE_MAIN,i);
         if(m>0)B1[i]++;
         if(m<0)B1[i]--;          
         m=iMACD(NULL,0,k*10,k*45,9,Pr,MODE_MAIN,i);
         if(m>0)B1[i]++;
         if(m<0)B1[i]--;   
         m=iMACD(NULL,0,k*12,k*50,9,Pr,MODE_MAIN,i);
         if(m>0)B1[i]++;
         if(m<0)B1[i]--;
         m=iMACD(NULL,0,k*15,k*60,9,Pr,MODE_MAIN,i);
         if(m>0)B1[i]++;
         if(m<0)B1[i]--;          
      }
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+